1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 Mysqli prepare error after upgrade

Discussion in 'Troubleshooting and Problems' started by Mycologist, Aug 30, 2013.

  1. Mycologist

    Mycologist Member

    Not sure what to do at this point, but after upgrading to 1.2.1, I see this error on my admin home page.
    Code:
    Server Error
    
    Mysqli prepare error: Unknown column 'template_map.template_final' in 'field list'
    
        Zend_Db_Statement_Mysqli->_prepare() in Zend/Db/Statement.php at line 115
        Zend_Db_Statement->__construct() in Zend/Db/Adapter/Mysqli.php at line 381
        Zend_Db_Adapter_Mysqli->prepare() in Zend/Db/Adapter/Abstract.php at line 478
        Zend_Db_Adapter_Abstract->query() in XenForo/Model.php at line 219
        XenForo_Model->fetchAllKeyed() in TMS/Model/Template.php at line 228
        TMS_Model_Template->fetchAllKeyed() in XenForo/Model/Template.php at line 431
        XenForo_Model_Template->getOutdatedTemplates() in XenForo/ControllerAdmin/Home.php at line 26
        XenForo_ControllerAdmin_Home->actionIndex() in XenForo/FrontController.php at line 337
        XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
        XenForo_FrontController->run() in /home/ducksoupgaming/public_html/admin.php at line 13
    
    Is there anything I can do to remedy this?
     
  2. Mike

    Mike XenForo Developer Staff Member

  3. Mycologist

    Mycologist Member

    I've now read that whole thread, and I assume you're implying I've messed it up beyond repair? I followed the instructions in "INSTALL-UPGRADE.txt". If there's even more to consider when upgrading there should probably be a link in that file to that thread.
     
  4. Mycologist

    Mycologist Member

    Ok, I fixed it.

    1. Uninstall "Template Modification System".
    2. Run "Rebuild Master Data".
     
  5. Mike

    Mike XenForo Developer Staff Member

    This error in particular is caused by the TMS add-on you have installed. There are instructions for dealing with it there.

    If you have add-ons and/or template customizations, you'll want to be sure that they work or can be updated before upgrading as the upgrade is not guaranteed to be work with those customizations. This is especially true when upgrading to a first- or second-point release (though care should even be taken with third-point releases).
     
    Mycologist likes this.

Share This Page